//
//  ProgressBar.swift
//  Songy
//
//  Created by Main Account on 3/31/16.
//  Copyright © 2016 Ray Wenderlich. All rights reserved.
//

import UIKit

class ProgressBar: UIView {

  private var innerProgress: CGFloat = 0.0
  var progress : CGFloat {
    set (newProgress) {
      if newProgress > 1.0 {
        innerProgress = 1.0
      } else if newProgress < 0.0 {
        innerProgress = 0
      } else {
        innerProgress = newProgress
      }
      setNeedsDisplay()
    }
    get {
      return innerProgress * bounds.width
    }
  }

  override func drawRect(rect: CGRect) {
    PaintCodeTutorial.drawProgressBar(frame: bounds,
      progress: progress)
  }

}
